#include<bits/stdc++.h>

using namespace std;

int main() {
ios_base::sync_with_stdio(false);
cin.tie(0);

	int n, k, x;
	cin >> n >> k >> x;
	vector<long long> niz(n);
	for(int i = 0; i < n; i++){
		cin >> niz[i];
	}
	
	int l = 0;
	int d = 0;
	int c = 1;
	long long zbir = 0;
	while(l < n and d < n){
		if(d - l + 1 > k){
			cout << zbir << ' ';
			l += 1;
			d = l;
			zbir = 0;
			c = 1;
		}
		else{
			if(c == 1){
				zbir += niz[d];
				if(c < x)
					c++;
			}
			else{
				zbir += niz[d] * c;
				if(c < x){
					c++;
				}
			}
			d++;
		}
	}
	cout << zbir;

}